<?php
/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link      https://cakephp.org CakePHP(tm) Project
 * @since     0.2.9
 * @license   https://opensource.org/licenses/mit-license.php MIT License
 */
namespace App\Controller;

use Cake\Http\Exception\NotFoundException;
use Cake\Event\Event;
use Cake\Core\Configure;
use Cake\Routing\RouteBuilder;
use Cake\Routing\Router;

/**
 * Static services controller
 *
 * This controller will render views from Template/AboutUs/
 *
 */
class CartsController extends AppController
{
    public function initialize()
    {
        parent::initialize();
        $this->loadModel('PageProducts');
        $this->loadModel('PageContents');
        $this->loadModel('Products');
        $this->loadModel('Banners');
        $this->loadModel('Files');
        $this->loadModel('Galleries');
    }
	/**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading components.
     *
     * e.g. `$this->loadComponent('Security');`
     *
     * @return void
     */

    public function beforeFilter(Event $event)
{

}

public function index(){
    $viewContent = $this->PageProducts->Products->find('all', [
        'contain' => [
          'ProductImages', 'PageProducts'
          
        ],
        'conditions' => [
          'status' => 1
        ]
      
      ])->matching('PageProducts', function ($q) use($condition) {
        return $q->where($condition);
      })->toArray();

      $this->set(compact('viewContent'));


    if($this->request->is('post')){
         // check if session variable is set
         if(isset($_SESSION['cart'])){
            $item_array_id = array_column($_SESSION['cart'],'product_id');

            if(in_array($_POST['productId'],$item_array_id)){
                $this->Flash->set('Product is alredy added in the cart..!');
            } 

            else{
                $cart_count = count($_SESSION['cart']);

                $item_array = array(
                    'product_id' => $this->request->getData('productId'),
                    'product_name' => $this->request->getData('productName'),
                    'product_code' => $this->request->getData('code'),
                    'product_price' => $this->request->getData('price'),
                    'product_qty' => $this->request->getData('qty'),
                    'product_img' => $this->request->getData('productImg')
                
                );

                $_SESSION['cart'][$cart_count]=$item_array;
                $this->Flash->set('Product added');
             } 

            } 
              else{
                $item_array = array(
                    'product_id' => $this->request->getData('productId'),
                    'product_name' => $this->request->getData('productName'),
                    'product_code' => $this->request->getData('code'),
                    'product_price' => $this->request->getData('price'),
                    'product_qty' => $this->request->getData('qty'),
                    'product_img' => $this->request->getData('productImg')
                );
                $_SESSION['cart'][0]=$item_array;
            }
        }
}

public function add() {
    if($this->request->is('post')){
        $id = $this->request->getData('productID');
        
        foreach($_SESSION['cart'] as $keys => $value){
    if($value['product_id'] == $id ){
    $item_array = array(
        'product_id' => $this->request->getData('productID'),
        'product_name' => $this->request->getData('productName'),
        'product_code' => $this->request->getData('productCode'),
        'product_price' => $this->request->getData('productPrice'),
        'product_qty' => $this->request->getData('product-Qty')
    );
    $_SESSION['cart'][$keys]=$item_array;
 }

        }
    }


}

public function remove(){
    if($this->request->is('post')){
        $id = $this->request->getData('product_Id');

               foreach($_SESSION['cart'] as $keys => $value){
             
            if($value['product_id'] == $id ){
                unset($_SESSION['cart'][$keys]);
                echo "<script>alert(' dele')</script>";
             }
        }
        
    } 
    $this->redirect(['controller'=>'carts', 'action' => 'index']);
    $this->Flash->set('Product removed');
}

}