<?php
/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link      https://cakephp.org CakePHP(tm) Project
 * @since     0.2.9
 * @license   https://opensource.org/licenses/mit-license.php MIT License
 */
namespace App\Controller;

use Cake\Http\Exception\NotFoundException;
use Cake\Mailer\Email;
use Cake\ORM\TableRegistry;
use Cake\Form\Form;
/**
 * Static contact us controller
 *
 * This controller will render views from Template/AboutUs/
 *
 */
class ContactUsController extends ContentController
{
  	/**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading components.
     *
     * e.g. `$this->loadComponent('Security');`
     *
     * @return void
     */
    public function initialize()
    {
        parent::initialize();
		      $this->loadModel('Contacts');
          $this->loadModel('Feedbacks');

    }

    public function index()
    {
		// Loading content and basic processes to load the content has been implemented in the content
		// All we need to do is set the section to the correct slug for this controller
		// So lets just call the parent method
		$this->request->params['section'] = 'contact-us';
		parent::index();
						
		// Process form, Contact us form from the page
		// if ($this->request->is('post')) {
		// 	$this->processForm('Feedbacks', 'Customer Feedback', $this->request->getData());
		// }
		
		// Load the contact details
		// We will need this for the contact us section
		$contactDetails = $this->Contacts->find('All')->first();
		
		$this->set(compact('contactDetails'));
    }

    public function processForm(){
      $hotelBooking = $this->Feedbacks->newEntity();
      $tourBooking = $this->Feedbacks->newEntity();
      $contactUsForm = $this->Feedbacks->newEntity();
      $donationForm = $this->Feedbacks->newEntity();

      if ($this->request->is(['post'])) {
        // this section get form data and save to 
        // the variables declared
        $subject = $this->request->data['subject'];
        $name = $this->request->data['name'];
        $phone = $this->request->data['phone'];
        $email = $this->request->data['email'];
        $arrival = $this->request->data['arrival'];
        $departure = $this->request->data['departure'];
        $rooms = $this->request->data['rooms'];
        $adults = $this->request->data['adults'];
        $children = $this->request->data['children'];
        $day = $this->request->data['day'];
        $amount = $this->request->data['amount'];
        $payments = $this->request->data['payments'];
        $message = $this->request->data['message'];

       $hotelBooking = $this->Feedbacks->patchEntity($hotelBooking, $this->request->data);
       $tourBooking = $this->Feedbacks->patchEntity($tourBooking, $this->request->data);
       $contactUsForm = $this->Feedbacks->patchEntity($tourBooking, $this->request->data);
       $donationForm = $this->Feedbacks->patchEntity($donationForm, $this->request->data);

      // This Save Hotel Booking infomation to Feedbacks table
       if ($this->Feedbacks->save($hotelBooking)){
        $message="<p>From: $name</p> 
        <p>Subject: $subject</p>
        <p>=========================</p>
        <p>Arrival: $arrival</p>
        <p>Departure: $departure</p>
        <p>Room(s): $rooms</p>
        <p>Adult(s): $adults</p>
        <p>Children: $children</p>
        <p>Day: $day</p>";

    // This Section sends emial to site owner or company    
        $email = new Email();
        $email->transport('default');
        $email->from($email)
        ->setTo($contact->form_email1)
        ->emailFormat('html')
        ->send($message);

       }
    //  This Save Tour Booking infomation to Feedbacks table
       else if ($this->Feedbacks->save($tourBooking)){
        $message="<p>From: $name</p> 
        <p>Subject: $subject</p>
        <p>=========================</p>
        <p>Arrival: $arrival</p>
        <p>Departure: $departure</p>
        <p>Room(s): $rooms</p>
        <p>Adult(s): $adults</p>
        <p>Children: $children</p>
        <p>Day: $day</p>";

    // This Section sends emial to site owner or company    
        $email = new Email();
        $email->transport('default');
        $email->from($email)
        ->setTo($contact->form_email1)
        ->emailFormat('html')
        ->send($message);  

      }

      //This Save Contact Us infomation to Feedbacks table
     else if ($this->Feedbacks->save($contactUsForm)){
      $message="<p>From: $name</p> 
      <p>Subject: $subject</p>
      <p>=========================</p>
      <p>Name: $name</p>
      <p>Phone: $phone</p>
      <p>Email: $email</p>
      <p>Message: $message</p>
      ";

    // This Section sends emial to site owner or company    
      $email = new Email();
      $email->transport('default');
      $email->from($email)
      ->setTo($contact->form_email1)
      ->emailFormat('html')
      ->send($message);

     }

    //  This Save Donation infomation to Feedbacks table
     else if ($this->Feedbacks->save($donationForm)){
      $message="<p>From: $name</p> 
      <p>Subject: $subject</p>
      <p>=========================</p>
      <p>Name: $name</p>
      <p>Phone: $phone</p>
      <p>Email: $email</p>
      <p>Amount: $amount</p>
      <p>Payment Terms: $payments</p>
      <p>Message: $message</p>
      ";
      
    // This Section sends emial to site owner or company    
      $email = new Email();
      $email->transport('default');
      $email->from($email)
      ->setTo($contact->form_email1)
      ->emailFormat('html')
      ->send($message);
     }

      }
      
    }
     
}