<?php
declare(strict_types=1);

namespace App\Controller;

use Cake\Mailer\Email;
use Cake\ORM\TableRegistry;

/**
 * GhisepMemebers Controller
 *
 * @property \App\Model\Table\GhisepMemebersTable $GhisepMemebers
 * @method \App\Model\Entity\GhisepMemeber[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class GhisepMemebersController extends AppController
{
    public function initialize()
    {
        parent::initialize();
         $this->loadComponent('Paginator');
        // $this->paginate = ['limit' => 1];
        $this->loadModel('Myaccounts');
    }
    /**
     * Index method
     *
     * @return \Cake\Http\Response|null|void Renders view
     */
    public function index()
    {
        $this->paginate = [
            'contain' => ['Myaccounts'],
        ];
        $ghisepMemebers = $this->paginate($this->GhisepMemebers);

        $this->set(compact('ghisepMemebers'));
    }

    /**
     * View method
     *
     * @param string|null $id Ghisep Memeber id.
     * @return \Cake\Http\Response|null|void Renders view
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $ghisepMemeber = $this->GhisepMemebers->get($id, [
            'contain' => ['Myaccounts'],
        ]);

        $this->set(compact('ghisepMemeber'));
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null|void Redirects on successful add, renders view otherwise.
     */
    public function addAddress()
    {
        $ghisepMemeber = $this->GhisepMemebers->newEntity();
        $memberid = $this->Auth->user('id');

        if ($this->request->is('post')) {
            $id = $this->request->getData('id');
            echo $id;
            $ghisepMemeber = $this->GhisepMemebers->patchEntity($ghisepMemeber, $this->request->getData());
            $ghisepMemeber->myaccounts_id = $id;
            if ($this->GhisepMemebers->save($ghisepMemeber)) {
                $this->Flash->success(__('The ghisep memeber has been saved.'));

                return $this->redirect(['action' => 'education']);
            }
            $this->Flash->error(__('The ghisep memeber could not be saved. Please, try again.'));
        }
        $this->set(compact('ghisepMemeber', 'memberid'));
    }

    public function education()
    {
        $memberid = $this->Auth->user('id');

        if ($this->request->is('post')) {
            $levelOfEducation = $this->request->getdata('level');
            $certificate = $this->request->getdata('certificate');
            $institution = $this->request->getdata('institution');
            $institutionAddress = $this->request->getdata('institutionAddress');
            $continuingEducation = $this->request->getdata('continuingEducation');
            $country = $this->request->getdata('country');


            $educationTable = TableRegistry::get('GhisepMemebers')->find('All', [
                'conditions' => [
                    'myaccounts_id' => $memberid,
                ]
            ])->first();


            if ($memberid) {
                // $educationTable = TableRegistry::get('GhisepMemebers')->find('All')->first();

                $id = $educationTable->id;
                ;
                echo $id;

                $GhisepMemebersTable = TableRegistry::getTableLocator()->get('GhisepMemebers');
                $memberEdu = $GhisepMemebersTable->get($id);

                $memberEdu->level = $levelOfEducation;
                $memberEdu->institution = $institution;
                $memberEdu->institution_address = $institutionAddress;

                if ($GhisepMemebersTable->save($memberEdu)) {
                    $this->Flash->success(__('Information saved.'));

                    return $this->redirect(['action' => 'ProfessionalInfo']);

                }
                $this->Flash->error(__('Information could not be saved. Please, try again.'));

            }

        }

        $this->set(compact('memberid'));
    }

    public function ProfessionalInfo()
    {
        $memberid = $this->Auth->user('id');

        if ($this->request->is('post')) {
            $employment = $this->request->getdata('currentplaceofemployment');
            $currentPositionTitle = $this->request->getdata('currentPositionTitle');
            $currentpositionDuration = $this->request->getdata('currentpositionduration');
            $previousPlaceofEmployment = $this->request->getdata('previousplaceofemployment');
            $previousWorkTitle = $this->request->getdata('previousworktitle');
            $firstPreviousPosition = $this->request->getdata('firstpreviousposition');
            $previousPlaceofEmployment2 = $this->request->getdata('previousplaceofemployment2');
            $previousWorkTitle2 = $this->request->getdata('previousworktitle2');
            $secondPreviousPosition = $this->request->getdata('secondpreviousposition');
            $totalnumberofyears = $this->request->getdata('totalnumberofyears');
            $firstPreviousPositionDuration = $this->request->getdata('firstpreviouspositionduration');
            $secondPreviousPositionDuration = $this->request->getdata('secondpreviouspositionduration');

            $MiningSafety = $this->request->getdata('miningSafety');
            $forestry = $this->request->getdata('forestry');
            $transportation = $this->request->getdata('transportation');
            $emergencyServices = $this->request->getdata('emergencyServices');
            $firePrevention = $this->request->getdata('firePrevention');
            $community = $this->request->getdata('community');
            $manufacturing = $this->request->getdata('manufacturing');
            $industrialHygiene = $this->request->getdata('industrialHygiene');
            $trainingEducation = $this->request->getdata('trainingEducation');
            $consulting = $this->request->getdata('consulting');
            $oilEnergy = $this->request->getdata('oilEnergy');
            $foodProcessing = $this->request->getdata('foodProcessing');
            $environmental = $this->request->getdata('environmental');
            $ergonomics = $this->request->getdata('ergonomics');
            $construction = $this->request->getdata('construction');
            $publicServices = $this->request->getdata('publicServices');
            $engeneering = $this->request->getdata('engeneering');
            $healthcare = $this->request->getdata('healthcare');
            $insurance = $this->request->getdata('insurance');
            $telecommunication = $this->request->getdata('telecommunication');
            $otherareas = $this->request->getdata('otherareas');


            $professionalInfoTable = TableRegistry::get('GhisepMemebers')->find('All', [
                'conditions' => [
                    'myaccounts_id' => $memberid,
                ]
            ])->first();


            if ($memberid) {
                // $educationTable = TableRegistry::get('GhisepMemebers')->find('All')->first();

                $id = $professionalInfoTable->id;
                ;
                echo $id;

                $GhisepMemebersTable = TableRegistry::getTableLocator()->get('GhisepMemebers');
                $memberprofessionalInfo = $GhisepMemebersTable->get($id);

                $memberprofessionalInfo->current_place_of_employment = $employment;
                $memberprofessionalInfo->current_position_title = $currentPositionTitle;
                $memberprofessionalInfo->current_position_duration = $currentpositionDuration;
                $memberprofessionalInfo->first_previous_place_of_employment = $previousPlaceofEmployment;
                $memberprofessionalInfo->first_previous_position_title = $previousWorkTitle;
                $memberprofessionalInfo->first_previous_position_duration = $firstPreviousPositionDuration;
                $memberprofessionalInfo->second_previous_place_of_employment = $previousPlaceofEmployment2;
                $memberprofessionalInfo->second_previous_position_title = $previousWorkTitle2;
                $memberprofessionalInfo->second_previous_position_duration = $secondPreviousPositionDuration;
                $memberprofessionalInfo->total_years_in_related_work = $totalnumberofyears;

                $memberprofessionalInfo->mining_safety = $MiningSafety;
                $memberprofessionalInfo->forestry = $forestry;
                $memberprofessionalInfo->transportation = $transportation;
                $memberprofessionalInfo->emergency_services = $emergencyServices;
                $memberprofessionalInfo->fire_prevention = $firePrevention;
                $memberprofessionalInfo->community = $community;
                $memberprofessionalInfo->manufacturing = $manufacturing;
                $memberprofessionalInfo->industrial_hygiene = $industrialHygiene;
                $memberprofessionalInfo->training_education = $trainingEducation;
                $memberprofessionalInfo->consulting = $consulting;
                $memberprofessionalInfo->oil_energy = $oilEnergy;
                $memberprofessionalInfo->food_processing = $foodProcessing;
                $memberprofessionalInfo->environmental = $environmental;
                $memberprofessionalInfo->ergonomics = $ergonomics;
                $memberprofessionalInfo->construction = $construction;
                $memberprofessionalInfo->public_services = $publicServices;
                $memberprofessionalInfo->engineering = $engeneering;
                $memberprofessionalInfo->healthcare = $healthcare;
                $memberprofessionalInfo->insurance = $insurance;
                $memberprofessionalInfo->telecommunication = $telecommunication;
                // $memberprofessionalInfo-> = ;
                $memberprofessionalInfo->other_expertise = $otherareas;

                if ($GhisepMemebersTable->save($memberprofessionalInfo)) {

                    $this->Flash->success(__('Information saved.'));

                    return $this->redirect(['action' => 'paymentInfo']);
                }
                $this->Flash->error(__('Information could not be saved. Please, try again.'));
            }

        }

        $this->set(compact('memberid'));
    }

    public function paymentInfo()
    {
        $memberid = $this->Auth->user('id');

        if ($this->request->is('post')) {
            $registrationFees = $this->request->getdata('registrationFees');
            $annualDues = $this->request->getdata('annualDues');
            $totalAmountDue = $this->request->getdata('totalAmountDue');
            $paymentMethod = $this->request->getdata('paymentMethod');

            $paymentInfoTable = TableRegistry::get('GhisepMemebers')->find('All', [
                'conditions' => [
                    'myaccounts_id' => $memberid,
                ]
            ])->first();


            if ($memberid) {
                // $educationTable = TableRegistry::get('GhisepMemebers')->find('All')->first();

                $id = $paymentInfoTable->id;
                ;
                echo $id;

                $GhisepMemebersTable = TableRegistry::getTableLocator()->get('GhisepMemebers');
                $paymentInfo = $GhisepMemebersTable->get($id);

                $paymentInfo->registration_fee_amount = $registrationFees;
                $paymentInfo->annual_dues_amount = $annualDues;
                $paymentInfo->total_amount_due = $totalAmountDue;
                $paymentInfo->payment_method = $paymentMethod;


                if ($GhisepMemebersTable->save($paymentInfo)) {
                    $this->Flash->success(__('Information saved.'));

                    return $this->redirect(['action' => 'finish']);
                }

                $this->Flash->error(__('Information could not be saved. Please, try again.'));
            }

        }
        $this->set(compact('memberid'));
    }

    public function finish()
    {

    }

    public function editProfile($userId = null)
    {
        $myAccountUsers = $this->Myaccounts->get($userId, [
            'contain' => [],
        ]);
        
        if ($this->request->is(['patch', 'post', 'put'])) {
            $this->request->data['status'] = 2;
            $myAccountUsers = $this->Myaccounts->patchEntity($myAccountUsers, $this->request->getData());

            if ($this->Myaccounts->save($myAccountUsers)) {

                $ghisepMemeber = $this->GhisepMemebers->get($userId, [
                    'contain' => [],
                ]);

                if ($this->request->is(['patch', 'post', 'put'])) {
                    $ghisepMemeber = $this->GhisepMemebers->patchEntity($ghisepMemeber, $this->request->getData());

                    if ($this->GhisepMemebers->save($ghisepMemeber)) {

                    }
               }
                return $this->redirect(['controller'=>'Myaccounts','action' => 'dashboard']);
            }
        }
    }
    
    public function details($id = null)
    {
	$memberProfile = $this->GhisepMemebers->Myaccounts->find('all', [
			'contain' => [
				'GhisepMemebers'
			],
			'conditions' => [
				'approve' => 1,
				'id' => $id
			]
		]);
		
// 		$memberProfile = $this->paginate($memberProfile);
		
				$this->set(compact('viewDetails', 'menuDetails','subMenuLists','otherDownloads','memberProfile'));

    }


    /**
     * Edit method
     *
     * @param string|null $id Ghisep Memeber id.
     * @return \Cake\Http\Response|null|void Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $ghisepMemeber = $this->GhisepMemebers->get($id, [
            'contain' => [],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $ghisepMemeber = $this->GhisepMemebers->patchEntity($ghisepMemeber, $this->request->getData());
            if ($this->GhisepMemebers->save($ghisepMemeber)) {
                $this->Flash->success(__('The ghisep memeber has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The ghisep memeber could not be saved. Please, try again.'));
        }
        $myaccounts = $this->GhisepMemebers->Myaccounts->find('list', ['limit' => 200])->all();
        $this->set(compact('ghisepMemeber', 'myaccounts'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Ghisep Memeber id.
     * @return \Cake\Http\Response|null|void Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $ghisepMemeber = $this->GhisepMemebers->get($id);
        if ($this->GhisepMemebers->delete($ghisepMemeber)) {
            $this->Flash->success(__('The ghisep memeber has been deleted.'));
        } else {
            $this->Flash->error(__('The ghisep memeber could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}