<?php
/**
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link      https://cakephp.org CakePHP(tm) Project
 * @since     0.2.9
 * @license   https://opensource.org/licenses/mit-license.php MIT License
 */
namespace App\Controller;

use Cake\Http\Exception\NotFoundException;
use Cake\Mailer\Email;
use Cake\I18n\Time;
use Cake\ORM\TableRegistry;


/**
 * Static about us controller
 *
 * This controller will render views from Template/AboutUs/
 *
 */
class OrdersController extends AppController
{ 
    
	/**
     * Initialization hook method.
     *
     * Use this method to add common initialization code like loading components.
     *
     * e.g. `$this->loadComponent('Security');`
     *
     * @return void
     */

    public function initialize()
    {
        parent::initialize();
        //$this->loadModel('Carts');
        //$this->loadComponent('Csrf');
        $this->loadModel('Orders');
        $this->loadModel('PageProducts');
        $this->loadModel('Products');
    
    }

public function paymentMethods (){

    if ($this->request->is('post')) {
        $Momo = $this->request->data('momo');
        $card= $this->request->data('card');
        $scan= $this->request->data('scan');

        if($Momo){
            return $this->redirect(['controller'=>'orders','action' => 'momoPay']); 
        }
        if($card){
            return $this->redirect(['controller'=>'orders','action' => 'paywithCard']); 
        }
        if($scan){
           return $this->redirect(['controller'=>'orders','action' => 'scantoPay']); 
        }

    }
}

public function momoPay(){
    if ($this->request->is('post')) {

         $productIdArray = array();
         $productQtyArray = array();


        if(isset($_SESSION['cart'])){
            foreach($_SESSION['cart'] as $keys => $value){
                $id = $value['product_id'];
                $product_qty = $value['product_qty'];
                array_push($productIdArray,$id);
                array_push($productQtyArray ,$product_qty);
            }
        }


         // this generate order values
         $today = date("Ymd");
         $rand = strtoupper(substr(uniqid(sha1(time())),0,4));
         $unique = $today . $rand;

         $Fname = $this->request->data('name');
         $Uemail = $this->request->data('email');
         $Phone = $this->request->data('phone');
         $carrier = $this->request->data('carrier');
         $Message = $this->request->data('message');
         $cardNumber = $this->request->data('cardNumber');
         $cardType = $this->request->data('cardType');
         $year = $this->request->data('year');
         $cvv = $this->request->data('cvv');

         $productQty = serialize($productQtyArray);
         $productId = serialize($productIdArray);
         $total = $this->request->data('total');

         $ordersTable = TableRegistry::get('Orders');

         $order = $ordersTable->newEntity();

         $order->name = $Fname;
         $order->phone = $Phone;
         $order->email = $Uemail;
         $order->quantity = $productQty;
         $order->product_id = $productId;
         $order->total_amount = $total;
         $order->order_value = $unique;
         $order->order_note = $Message;
         $order->date = $today;

         if ($ordersTable->save($order)) { 
                    // $title = 'Product Ordering';          
                    // $message= "<br/>Name: ".$this->request->data['name'].
                    //            "<br/>Phone: ".$this->request->data['phone'].
                    //            "<br/>Email: ".$this->request->data['email'].
                    //            "<br/>productName: ".$this->request->data['productName'].
                    //            "<br/>code: ".$this->request->data['code'].
                    //            "<br/>price: ".$this->request->data['price'].
                    //            "<br/>Message:<br/>".$this->request->data['message'];
                              
                         
                    //    $email = new Email();
                    //    $email->transport('default');
                    //    $email->from([$this->request->data['email'] => $this->request->data['name']])
                    //         ->to('info@gyeak.com')
                    //     //   ->to('tadmin@palomahotel.com')
                    //        ->emailFormat('html')
                    //       //  ->subject($this->request->data['subject'])
                    //       ->subject('Product Ordering')
                    //       ->send($message);
         }

         $rand = rand(1000,9000);
         $url = "https://testapicalpay.caleservice.net/api/calpay";
         $outline = sprintf('{
                         "requestType": "CreateInvoice",
                         "merchant": {
                             "emailOrMobileNumber": "CALPAYDEMO@CALBANK.NET",
                             "apikey": "LIVE-rjT6GlZzdOCesUUBFlnYhtWvapOgJh51",
                             "type": "EMAIL",
                             "env": "LIVE",
                             "destinationaccount": "",
                             "sbmerchantid": ""
                         },
                         "payment":{
                             "accounttype":"%s",
                             "accountnumber":"%u",
                             "mode":""
                         },
                         "orderItems": [
                             {
                                 "unitPrice": 1,
                                 "itemName": "TEST",
                                 "quantity": 1,
                                 "itemCode": "EMPCA",
                                 "discountAmount": 0,
                                 "subTotal": 1
                             }
                         ],
                         "order": {
                             "customerAddressCity": "ACCRA",
                             "otherData": "TEST",
                             "datacompleteurl": "https://calbank.net/",
                             "sendInvoice": "FALSE",
                             "description": "CALPAY ITEM",
                             "tax": 0,
                             "customerName": "%s",
                             "customerCountry": "GHA",
                             "datacancelurl": "https://calbank.net/",
                             "totalAmount": %u,
                             "shipping": 0,
                             "customerContact": "%u",
                             "trasactionCardMode": "PURCHASE",
                             "customerEmail": "%s",
                             "payOption": "ALL",
                              "approveurl": "https://calbank.net",
                             "currency": "GHS",
                             "orderCode": "CALFGGG6SHJ44KLL%u",
                             "callbackurl": "https://calbank.net",
                             "fullDiscountAmount": 0
                         }
         }',$carrier,$Phone,$Fname,$productPrice,$Phone,$Uemail,$rand);
         
         //$content = json_encode($outline,true);
         $headers = array();
         $headers[] = 'x-auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJtY29kZSI6Ik1DSC00NDE3Njc4NyIsImlkIjoiMTgiLCJpYXQiOjE1ODQ0NzA1ODV9.wMeo6m9FC5hT4OY08edKBQZR0ykXCSpwM1BLGobeJmM';
         $headers[] = 'Content-Type: application/json';
         $curl = curl_init();
         curl_setopt($curl, CURLOPT_URL,$url);
         curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
         curl_setopt($curl, CURLOPT_HTTPHEADER,$headers);
         curl_setopt($curl, CURLOPT_POST, true);
         curl_setopt($curl, CURLOPT_POSTFIELDS, $outline);
     
         $json_response = curl_exec($curl);
     
         $status = curl_getinfo($curl, CURLINFO_HTTP_CODE);
     
         if ( $status = 200 ) {
             echo '<script>alert("Your order has been placed, thank you for shopping with us!")</script>';
         }
     
         curl_close($curl);

    }
}


      public function paywithCard(){
        

      }

          public function scantoPay(){

              }

}