<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Content Entity
 *
 * @property int $id
 * @property string $name
 * @property string|null $content
 * @property string|null $caption
 * @property string|null $image_path
 * @property int $status
 *
 * @property \App\Model\Entity\ContentImage[] $content_images
 * @property \App\Model\Entity\PageContent[] $page_contents
 */
class Content extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'name' => true,
        'content' => true,
        'caption' => true,
        'image_path' => true,
        'status' => true,
        'content_images' => true,
        'page_contents' => true,
        'slug' => true
    ];
}
