<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * GhisepMemeber Entity
 *
 * @property int $id
 * @property int|null $myaccounts_id
 * @property string|null $office_phone
 * @property string|null $business_address
 * @property string|null $mobile_phone
 * @property string|null $home_address
 * @property string|null $preferred_mailing_address
 * @property string|null $level
 * @property string|null $institution
 * @property string|null $institution_address
 * @property int|null $country_id
 * @property string|null $qualification
 * @property string|null $continue_edu_course
 * @property string|null $current_place_of_employment
 * @property string|null $current_position_title
 * @property string|null $current_position_duration
 * @property string|null $first_previous_place_of_employment
 * @property string|null $first_previous_position_title
 * @property string|null $first_previous_position_duration
 * @property string|null $second_previous_place_of_employment
 * @property string|null $second_previous_position_title
 * @property string|null $second_previous_position_duration
 * @property string|null $total_years_in_related_work
 * @property bool|null $mining_safety
 * @property bool|null $forestry
 * @property bool|null $transportation
 * @property bool|null $emergency_services
 * @property bool|null $fire_prevention
 * @property bool|null $community
 * @property bool|null $manufacturing
 * @property bool|null $industrial_hygiene
 * @property bool|null $training_education
 * @property bool|null $consulting
 * @property bool|null $oil_energy
 * @property bool|null $food_processing
 * @property bool|null $environmental
 * @property bool|null $ergonomics
 * @property bool|null $construction
 * @property bool|null $public_services
 * @property bool|null $engineering
 * @property bool|null $healthcare
 * @property bool|null $insurance
 * @property bool|null $telecommunication
 * @property bool|null $other
 * @property string|null $other_expertise
 *
 * @property \App\Model\Entity\Myaccount $myaccount
 */
class GhisepMemeber extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'myaccounts_id' => true,
        'office_phone' => true,
        'business_address' => true,
        'mobile_phone' => true,
        'home_address' => true,
        'preferred_mailing_address' => true,
        'level' => true,
        'institution' => true,
        'institution_address' => true,
        'country_id' => true,
        'qualification' => true,
        'continue_edu_course' => true,
        'current_place_of_employment' => true,
        'current_position_title' => true,
        'current_position_duration' => true,
        'first_previous_place_of_employment' => true,
        'first_previous_position_title' => true,
        'first_previous_position_duration' => true,
        'second_previous_place_of_employment' => true,
        'second_previous_position_title' => true,
        'second_previous_position_duration' => true,
        'total_years_in_related_work' => true,
        'mining_safety' => true,
        'forestry' => true,
        'transportation' => true,
        'emergency_services' => true,
        'fire_prevention' => true,
        'community' => true,
        'manufacturing' => true,
        'industrial_hygiene' => true,
        'training_education' => true,
        'consulting' => true,
        'oil_energy' => true,
        'food_processing' => true,
        'environmental' => true,
        'ergonomics' => true,
        'construction' => true,
        'public_services' => true,
        'engineering' => true,
        'healthcare' => true,
        'insurance' => true,
        'telecommunication' => true,
        'other' => true,
        'other_expertise' => true,
        'myaccount' => true,
    ];
}
