<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\Auth\DefaultPasswordHasher;
use Cake\ORM\Entity;

/**
 * Myaccount Entity
 *
 * @property int $id
 * @property string|null $image_path
 * @property string|null $title
 * @property string|null $first_name
 * @property string|null $last_name
 * @property string|null $gender
 * @property string|null $date_of_birth
 * @property string|null $phone_1
 * @property string|null $phone_2
 * @property string|null $email
 * @property string|null $alternative_email
 * @property string|null $password
 * @property int|null $status
 * @property string|null $token
 * @property \Cake\I18n\FrozenTime|null $token_created_at
 * @property string|null $verification_code
 * @property \Cake\I18n\FrozenTime|null $last_accessed
 * @property int|null $registration_stage_id
 * @property string|null $token_pw
 */
class Myaccount extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'image_path' => true,
        'title' => true,
        'first_name' => true,
        'last_name' => true,
        'gender' => true,
        'date_of_birth' => true,
        'phone_1' => true,
        'phone_2' => true,
        'email' => true,
        'alternative_email' => true,
        'password' => true,
        'status' => true,
        'token' => true,
        'token_created_at' => true,
        'verification_code' => true,
        'last_accessed' => true,
        'registration_stage_id' => true,
        'token_pw' => true,
    ];

    /**
     * Fields that are excluded from JSON versions of the entity.
     *
     * @var array<string>
     */
    protected $_hidden = [
        'password',
        'token',
    ];

    protected function _setPassword($value)
    {
        if (strlen($value)) {
            $hasher = new DefaultPasswordHasher();

            return $hasher->hash($value);
        }
    }
}
