<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\Auth\DefaultPasswordHasher;
use Cake\ORM\Entity;


/**
 * ProfileAccount Entity
 *
 * @property int $id
 * @property string $title
 * @property string $first_name
 * @property string $last_name
 * @property string $image_path
 * @property string|null $alternative_email
 * @property string $gender
 * @property \Cake\I18n\FrozenTime $date_of_birth
 * @property string $password
 * @property string|null $token
 * @property \Cake\I18n\FrozenTime|null $token_created_at
 * @property string|null $verification_code
 * @property string $email
 * @property \Cake\I18n\FrozenTime|null $last_accessed
 * @property \Cake\I18n\FrozenTime $date
 * @property int $status_id
 * @property int|null $registration_stage_id
 * @property string $phone_1
 * @property string $phone_2
 * @property string $token_pw
 * @property int $approuved
 */
class ProfileAccount extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'id' => true,
        'title' => true,
        'first_name' => true,
        'last_name' => true,
        'image_path' => true,
        'alternative_email' => true,
        'gender' => true,
        'date_of_birth' => true,
        'password' => true,
        'token' => true,
        'token_created_at' => true,
        'verification_code' => true,
        'email' => true,
        'last_accessed' => true,
        'date' => true,
        'status_id' => true,
        'registration_stage_id' => true,
        'phone_1' => true,
        'phone_2' => true,
        'token_pw' => true,
        'approuved' => true,
    ];

    /**
     * Fields that are excluded from JSON versions of the entity.
     *
     * @var array<string>
     */
    protected $_hidden = [
        'password',
        'token',
    ];

    protected function _setPassword($value)
    {
        if (strlen($value)) {
            $hasher = new DefaultPasswordHasher();

            return $hasher->hash($value);
        }
    }
}
